# Package org.codehaus.plexus.component.composition

Interface Summary
Interface | Description
--- | ---
ComponentComposer |
ComponentComposerManager |
CompositionResolver |

Class Summary
Class | Description
--- | ---
AbstractComponentComposer |
DefaultComponentComposerManager |
DefaultCompositionResolver |
FieldComponentComposer |
MapOrientedComponentComposer |
NoOpComponentComposer | No Op component composer.
SetterComponentComposer |

Exception Summary
Exception | Description
--- | ---
CompositionException |
UndefinedComponentComposerException |